using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using P;

namespace Ourmsg.Factory
{
    public class CreateFont
    { 
        #region 设置或获取消息字体
        /// <summary>
        /// 设置或获取消息字体颜色
        /// </summary>
        public static  System.Drawing.Color GetColor( P.Message msg)
        {
            if (msg.FontColor == 0) msg.FontColor =-16777216;
            return System.Drawing.Color.FromArgb(msg.FontColor);
        }
        #endregion

        #region 设置或获取消息字体
        /// <summary>
        /// 设置或获取消息字体 
        /// </summary>
        public static System.Drawing.Font GetFont(P.Message msg)
        {
            if (msg.FontName == null) msg.FontName = "宋体";
            if (msg.FontSize <= 0) msg.FontSize = 9f;
                System.Drawing.FontStyle fontStyle = new System.Drawing.FontStyle();
                if (msg.FontBold) fontStyle = System.Drawing.FontStyle.Bold;
                if (msg.FontItalic) fontStyle = fontStyle | System.Drawing.FontStyle.Italic;
                if (msg.FontStrikeout) fontStyle = fontStyle | System.Drawing.FontStyle.Strikeout;
                if (msg.FontUnderline) fontStyle = fontStyle | System.Drawing.FontStyle.Underline;
                System.Drawing.Font ft = new System.Drawing.Font(msg.FontName, msg.FontSize, fontStyle);
                return ft;
           
        }
        #endregion
    }
}
